org.apache.hadoop.yarn.server.federation.store.records

## Class GetSubClusterPolicyConfigurationResponse

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.GetSubClusterPolicyConfigurationResponse

- Direct Known Subclasses:
    GetSubClusterPolicyConfigurationResponsePBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class GetSubClusterPolicyConfigurationResponse
      extends Object

  GetSubClusterPolicyConfigurationResponse contains the answer from the `FederationPolicyStore` to a request to get the information about how a policy should be configured via a `SubClusterPolicyConfiguration`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetSubClusterPolicyConfigurationResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SubClusterPolicyConfiguration` | `getPolicyConfiguration()` Get the policy configuration.
    `static GetSubClusterPolicyConfigurationResponse` | `newInstance(SubClusterPolicyConfiguration policy)`
    `abstract void` | `setPolicyConfiguration(SubClusterPolicyConfiguration policyConfiguration)` Sets the policyConfiguration configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetSubClusterPolicyConfigurationResponse

          public GetSubClusterPolicyConfigurationResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static GetSubClusterPolicyConfigurationResponse newInstance(SubClusterPolicyConfiguration policy)

    - #### getPolicyConfiguration

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract SubClusterPolicyConfiguration getPolicyConfiguration()

      Get the policy configuration.
      Returns:
        the policy configuration for the specified queue

    - #### setPolicyConfiguration

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setPolicyConfiguration(SubClusterPolicyConfiguration policyConfiguration)

      Sets the policyConfiguration configuration.
      Parameters:
        `policyConfiguration` - the policyConfiguration configuration for the specified queue

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.